> ## Documentation Index
> Fetch the complete documentation index at: https://openwearables.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Endpoint



## OpenAPI

````yaml https://api.openwearables.io/openapi.json patch /api/v1/webhooks/endpoints/{endpoint_id}
openapi: 3.1.0
info:
  title: Open Wearables API
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/webhooks/endpoints/{endpoint_id}:
    patch:
      tags:
        - 'External: Webhooks'
      summary: Update Endpoint
      operationId: update_endpoint_api_v1_webhooks_endpoints__endpoint_id__patch
      parameters:
        - name: endpoint_id
          in: path
          required: true
          schema:
            type: string
            title: Endpoint Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EndpointUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    EndpointUpdateRequest:
      properties:
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        filter_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Filter Types
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
          description: >-
            Subscribe only to events for this user. Pass null to remove the
            filter.
      type: object
      title: EndpointUpdateRequest
    EndpointResponse:
      properties:
        id:
          type: string
          title: Id
        url:
          type: string
          title: Url
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        filter_types:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Filter Types
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
      type: object
      required:
        - id
        - url
      title: EndpointResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /api/v1/auth/login

````